| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Macros | Functions | Variables
packet-tcap.h File Reference
`#include "ws_symbol_export.h"`

Go to the source code of this file.

## Classes
struct | tcap_private_t
struct | tcaphash_context_t
struct | tcaphash_begincall_t
struct | tcaphash_contcall_t
struct | tcaphash_endcall_t
struct | tcaphash_ansicall_t
struct | tcaphash_context_key_t
struct | tcaphash_begin_info_key_t
struct | tcaphash_cont_info_key_t
struct | tcaphash_end_info_key_t
struct | tcaphash_ansi_info_key_t
struct | tcapsrt_info_t

## Macros
#define | TCAP_COMP_INVOKE 0xa1
#define | TCAP_COMP_RRL 0xa2
#define | TCAP_COMP_RE 0xa3
#define | TCAP_COMP_REJECT 0xa4
#define | TCAP_COMP_RRN 0xa7
#define | ANSI_TC_INVOKE_L 0xe9
#define | ANSI_TC_RRL 0xea
#define | ANSI_TC_RE 0xeb
#define | ANSI_TC_REJECT 0xec
#define | ANSI_TC_INVOKE_N 0xed
#define | ANSI_TC_RRN 0xee
#define | TCAP_SEQ_TAG 0x30
#define | TCAP_SET_TAG 0x31
#define | TCAP_INVOKE_ID_TAG 0x02
#define | TCAP_LINKED_ID_TAG 0x80
#define | TCAP_EOC_LEN 2
#define | TCAP_CONSTRUCTOR(TCtag) (TCtag & 0x20)
#define | TC_BEGIN 1
#define | TC_CONT 2
#define | TC_END 3
#define | TC_ABORT 4
#define | TC_ANSI_ABORT 5
#define | TC_ANSI_ALL 6
#define | LENGTH_OID 23

## Functions
struct tcapsrt_info_t * | tcapsrt_razinfo (void)
void | tcapsrt_close (struct tcaphash_context_t *p_tcaphash_context, packet_info *pinfo _U_)
struct tcaphash_context_t * | tcapsrt_call_matching (tvbuff_t *tvb, packet_info *pinfo _U_, proto_tree *tree, struct tcapsrt_info_t *p_tcap_info)
dissector_handle_t | get_itu_tcap_subdissector (uint32_t ssn)
dissector_handle_t | get_ansi_tcap_subdissector (uint32_t ssn)
void | add_ansi_tcap_subdissector (uint32_t ssn, dissector_handle_t dissector)
WS_DLL_PUBLIC void | add_itu_tcap_subdissector (uint32_t ssn, dissector_handle_t dissector)
void | delete_ansi_tcap_subdissector (uint32_t ssn, dissector_handle_t dissector)
WS_DLL_PUBLIC void | delete_itu_tcap_subdissector (uint32_t ssn, dissector_handle_t dissector)
void | call_tcap_dissector (dissector_handle_t, tvbuff_t *, packet_info *, proto_tree *)
int | dissect_tcap_UniDialoguePDU (bool implicit_tag _U_, tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_)
int | dissect_tcap_DialoguePDU (bool implicit_tag _U_, tvbuff_t *tvb _U_, int offset _U_, asn1_ctx_t *actx _U_, proto_tree *tree _U_, int hf_index _U_)

## Variables
int | tcap_standard
const value_string | tcap_component_type_str []
const value_string | tcap_UniDialoguePDU_vals []
const value_string | tcap_DialoguePDU_vals []

## Detailed Description

lists and hash tables used in wireshark's tcap dissector for calculation of delays in tcap-calls

## Function Documentation

## ◆ tcapsrt_call_matching()

struct tcaphash_context_t * tcapsrt_call_matching | ( | tvbuff_t * | tvb,
|  | packet_info *pinfo | _U_,
|  | proto_tree * | tree,
|  | struct tcapsrt_info_t * | p_tcap_info
| ) |  |

Service Response Time analyze Called just after dissector call Associate a TCAP context to a tcap session and display session related information like the first frame, the last, the session duration, and a uniq session identifier for the filtering

For ETSI tcap, the TCAP context can be reached through three keys

- a key (BEGIN) identifying the session according to the tcap source identifier
- a key (CONT) identifying the established session (src_id and dst_id)
- a key (END) identifying the session according to the tcap destination identifier

For ANSI tcap, the TCAP context is reached through a uniq key

- a key (ANSI) identifying the session according to the tcap identifier

## ◆ tcapsrt_razinfo()

struct tcapsrt_info_t * tcapsrt_razinfo | ( | void |  | ) |

Initialize the Message Info used by the main dissector Data are linked to a TCAP transaction